import { NgModule } from '@angular/core';
import { RouterModule } from '@angular/router';
import { HttpModule } from '@angular/http';
import { ButtonModule } from '@syncfusion/ej2-angular-buttons';
import { CalendarModule } from '@syncfusion/ej2-angular-calendars';
import { GridModule } from '@syncfusion/ej2-angular-grids';
import { SyncfusionSharedModule } from 'app/shared/shared.module';
import { HOME_ROUTE } from './home.route';
import { HomeComponent } from './home.component';

@NgModule({
  imports: [SyncfusionSharedModule, HttpModule, RouterModule.forChild([HOME_ROUTE]), GridModule, ButtonModule, CalendarModule],
  declarations: [HomeComponent],
})
export class SyncfusionHomeModule {}
